<?php

$padd_meta_boxes = array(
	new Padd_Theme_Input(
		'_' . PADD_NS . '_video_url',
		__('Video URL', PADD_THEME_SLUG),
		__('The video URL. Works only if the video site is in the list of <a href="http://codex.wordpress.org/Embeds">supported sites</a>.', PADD_THEME_SLUG),
		array('type' => 'textfield')
	),
);

function padd_metabox_normal_video() {
	global $post, $padd_meta_boxes;
	require PADD_THEME_PATH . PADD_DS . 'administration' . PADD_DS . 'posting-ui.php';
}

function padd_metabox_create() {
	add_meta_box(PADD_NS . '-metabox-video', __('Video URL', PADD_THEME_SLUG), 'padd_metabox_normal_video', 'post', 'normal', 'high');
}

function padd_save_post_data($id) {
	global $post, $padd_meta_boxes;

	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return;
	}

	if (!current_user_can('edit_page',$id)) {
		return $id;
	} else {
		if (!current_user_can('edit_post', $id)) {
			return $id;
		}
	}

	if (!empty($post)) {
		foreach ($padd_meta_boxes as $opt) {
			$data = $_REQUEST[$opt->keyword];
			if (get_post_meta($id, $opt->keyword) == '') {
				add_post_meta($id, $opt->keyword, $data, true);
			} else if($data!= get_post_meta($id, $opt->keyword, true)) {
				update_post_meta($id, $opt->keyword, $data);
			} else if ($data == '') {
				delete_post_meta($id, $opt->keyword, get_post_meta($id, $opt->keyword, true));
			}
		}
	}
}

add_action('add_meta_boxes', 'padd_metabox_create');
add_action('save_post', 'padd_save_post_data');
