<?php

class Padd_Theme_Widget_FBLikeBox extends WP_Widget {

	function __construct() {
		$widget_ops = array(
						'classname' => 'widget_fb_likebox',
						'description' => PADD_THEME_NAME . ' Theme widget for social networking profile page. To set the username, go to the Social Networking Tab under ' . PADD_THEME_NAME . ' Options.'
					);
		parent::__construct(PADD_THEME_SLUG . '_fb_like_box', PADD_THEME_NAME . ' Facebook Like Box', $widget_ops);
		$this->alt_option_name = PADD_THEME_SLUG .  '_widget_fb_like_box';
	}

	function widget($args,$instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		echo $before_widget . "\n";

		if (!empty($title)) {
			echo $before_title . $title . $after_title . "\n";
		} else {
			echo $before_title . __('Facebook Like Box', PADD_THEME_SLUG) . $after_title . "\n";
		}
		padd_theme_widget_facebook_likebox();
		echo $after_widget . "\n";
	}

	function form($instance) {
		$title = esc_attr( $instance['title'] );
	?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
<?php
	}

	function save_settings($settings) {
		$settings['_multiwidget'] = 0;
		update_option( $this->option_name, $settings );
	}
}

class Padd_Theme_Widget_Ads extends WP_Widget {

	function __construct() {
		$widget_ops = array(
						'classname' => 'widget_ads',
						'description' => PADD_THEME_NAME . ' Theme widget for advertisment. To manage ads, go to the Custom Ads Tab under ' . PADD_THEME_NAME . ' Options.'
					);
		parent::__construct(PADD_THEME_SLUG . '_ads', PADD_THEME_NAME . ' Custom Ads', $widget_ops);
		$this->alt_option_name = PADD_THEME_SLUG .  '_widget_ads';
	}

	function widget($args, $instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		echo $before_widget . "\n";

		if (!empty($title)) {
			echo $before_title . $title . $after_title . "\n";
		}

		padd_theme_widget_sponsors();
		echo $after_widget . "\n";
	}

	function form($instance) {
		$title = esc_attr( $instance['title'] );
	?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
<?php
	}

	function save_settings($settings) {
		$settings['_multiwidget'] = 0;
		update_option($this->option_name, $settings);
	}
}

class Padd_Theme_Widget_Tweets extends WP_Widget {

	function __construct() {
		$widget_ops = array(
						'classname' => 'widget_tweets',
						'description' => PADD_THEME_NAME . ' Theme widget for recent tweets.'
					);
		parent::__construct(PADD_THEME_SLUG . '_tweet', PADD_THEME_NAME . ' Tweets', $widget_ops);
		$this->alt_option_name = PADD_THEME_SLUG .  '_widget_tweets';
	}

	function widget($args, $instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		echo $before_widget . "\n";

		if (!empty($title)) {
			echo $before_title . $title . $after_title . "\n";
		} else {
			echo $before_title . __('Recent Tweets', PADD_THEME_SLUG) . $after_title . "\n";
		}

		padd_theme_widget_twitter();
		echo $after_widget . "\n";
	}

	function form($instance) {
		$title = esc_attr( $instance['title'] );
	?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
<?php
	}

	function save_settings($settings) {
		$settings['_multiwidget'] = 0;
		update_option($this->option_name, $settings);
	}
}


class Padd_Theme_Widget_FlickrRSS_RU extends WP_Widget {

	function __construct() {
		$widget_ops = array(
						'classname' => 'widget_flickr_rss_ru',
						'description' => PADD_THEME_NAME . ' Theme widget for Flickr Images.'
					);
		parent::__construct(PADD_THEME_SLUG . '_flickr_rss_ru', PADD_THEME_NAME . ' FlickrRSS RU', $widget_ops);
		$this->alt_option_name = PADD_THEME_SLUG .  '_widget_flickr_rss_ru';
	}

	function widget($args, $instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		echo $before_widget . "\n";

		if (!empty($title)) {
			echo $before_title . $title . $after_title . "\n";
		} else {
			echo $before_title . __('Featured Photos', PADD_THEME_SLUG) . $after_title . "\n";
		}

		padd_theme_widget_flickrrss_ru();
		echo $after_widget . "\n";
	}

	function form($instance) {
		$title = esc_attr( $instance['title'] );
	?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
<?php
	}

	function save_settings($settings) {
		$settings['_multiwidget'] = 0;
		update_option($this->option_name, $settings);
	}
}

class Padd_Theme_Widget_Featured_Video extends WP_Widget {

	function __construct() {
		$widget_ops = array(
						'classname' => 'widget_featured_video',
						'description' => PADD_THEME_NAME . ' Theme widget for Featured Video.'
					);
		parent::__construct(PADD_THEME_SLUG . '_featured_video', PADD_THEME_NAME . ' Featured Video', $widget_ops);
		$this->alt_option_name = PADD_THEME_SLUG .  '_widget_featured_video';
	}

	function widget($args, $instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		echo $before_widget . "\n";

		if (!empty($title)) {
			echo $before_title . $title . $after_title . "\n";
		} else {
			echo $before_title . __('Featured Video', PADD_THEME_SLUG) . $after_title . "\n";
		}

		padd_theme_widget_featured_video();
		echo $after_widget . "\n";
	}

	function form($instance) {
		$title = esc_attr( $instance['title'] );
	?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
<?php
	}

	function save_settings($settings) {
		$settings['_multiwidget'] = 0;
		update_option($this->option_name, $settings);
	}
}

register_widget('Padd_Theme_Widget_FBLikeBox');
register_widget('Padd_Theme_Widget_Ads');
register_widget('Padd_Theme_Widget_Tweets');
register_widget('Padd_Theme_Widget_FlickrRSS_RU');
register_widget('Padd_Theme_Widget_Featured_Video');