<?php

$_PADD_SOCIALNET = array(
	'facebook'    => new Padd_Theme_SocialNetwork('Facebook'    , 'http://www.facebook.com/%u%' , __('Facebook Fan', PADD_THEME_SLUG)),
	'twitter'     => new Padd_Theme_SocialNetwork('Twitter'     , 'http://www.twitter.com/%u%'),
	'rss'         => new Padd_Theme_SocialNetwork('RSS Feed'    , '%u%'                         , __('Subscribe RSS', PADD_THEME_SLUG)),
);

$_PADD_SOCIALBMK = array(
	'delicious' => new Padd_Theme_SocialBookmark('Delicious','http://delicious.com/post?url=%url%&amp;title=%title%&amp;notes=%excerpt%'),
	'digg' => new Padd_Theme_SocialBookmark('Digg','http://digg.com/submit?phase=2&amp;url=%url%&amp;title=%title%&amp;bodytext=%excerpt%'),
	'newsvine' => new Padd_Theme_SocialBookmark('Newsvine','http://www.newsvine.com/_tools/seed&amp;save?u=%url%&amp;h=%title%'),
	'rss' => new Padd_Theme_SocialBookmark('RSS',get_bloginfo('rss2_url')),
	'stumbleupon' => new Padd_Theme_SocialBookmark('StumbleUpon','http://www.stumbleupon.com/post?url=%url%&amp;title=%title%'),
	'technorati' => new Padd_Theme_SocialBookmark('Technorati','http://technorati.com/faves?add=%url%'),
);

Padd_Theme_Option::instantiate();

/**
 * Resets the default theme options. Use with caution.
 */
function padd_theme_options_reset() {
	global $_PADD_SOCIALNET;

	// Core
	Padd_Theme_Option::set('installed','1');

	// General
	Padd_Theme_Option::set('favicon_url'            , '');
	Padd_Theme_Option::set('sitename_mode'          , '0');
	Padd_Theme_Option::set('sitename_logo_url'      , get_template_directory_uri() . '/images/site-title.png');
	Padd_Theme_Option::set('social_bookmarks_enable', '1');
	Padd_Theme_Option::set('show_trackbacks'        , '1');

	// Slideshow
	Padd_Theme_Option::set('slideshow_enable'     , '1');
	Padd_Theme_Option::set('slideshow_cat_id'     , '1');
	Padd_Theme_Option::set('slideshow_cat_limit'  , '3');
	Padd_Theme_Option::set('slideshow_effect'     , 'fade');
	Padd_Theme_Option::set('slideshow_slide_wait' , '5');
	Padd_Theme_Option::set('slideshow_slide_speed', '1500');

	// Tracker
	Padd_Theme_Option::set('tracker_head', '');
	Padd_Theme_Option::set('tracker_body', '');

	// Social Networking
	foreach ($_PADD_SOCIALNET as $k => $v) {
		if ($k == 'rss') {
			Padd_Theme_Option::set('sn_username_rss', '');
		} else {
			Padd_Theme_Option::set('sn_username_' . $k, 'paddsolutions');
		}
	}

	// Page Navigation
	Padd_Theme_Option::set('pgn_pages_to_show','5');
	Padd_Theme_Option::set('pgn_larger_page_numbers','0');
	Padd_Theme_Option::set('pgn_larger_page_numbers_multiple','10');

	// Advertisements
	Padd_Theme_Option::set('ads_300250_1','<a href="http://themecredible.com/" target="_blank"><img alt="Advertisement" src="' . get_template_directory_uri() . '/images/advertisement-300x250.jpg" /></a>');

	Padd_Theme_Option::update();
}

$installed = Padd_Theme_Option::get('installed','0');
$installed = ('0' === $installed) ? false : true;

if (!$installed) {
	padd_theme_options_reset();
}
$padd_twitter = new Padd_Theme_Twitter(Padd_Theme_Option::get('sn_username_twitter'), 3, true);